<template>
  <div>
    <base-header class="pb-6">
      <b-row class="py-4">
        <b-col lg="6" cols="7" >
          <h6 class="h2 text-white d-inline-block mb-0">Milestone</h6>
          <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
            <route-bread-crumb></route-bread-crumb>
          </nav>
        </b-col>
        <b-col lg="6" cols="5" class="text-right">
          <router-link to="/milestoneNew">
            <base-button size="sm" type="neutral">New Milestone</base-button>
          </router-link>
          &nbsp;
          <router-link to="/project">
            <base-button size="sm" type="neutral">Back To Project</base-button>
          </router-link>
        </b-col>
      </b-row>

    </base-header>

    <b-container fluid class="mt--6">
      <b-row>
        <b-col>
          <milestone-table/>
        </b-col>
      </b-row>
    </b-container>

  </div>
</template>

<script>
  import RouteBreadCrumb from '@/components/Breadcrumb/RouteBreadcrumb';
  import BaseHeader from '@/components/BaseHeader';
  import MilestoneTable from "./MilestoneTable";

  export default {
    components: {
      BaseHeader,
      RouteBreadCrumb,
      MilestoneTable
    },
    data() {
      return {

      };
    },
    methods: {
      notifyVue(type = 'default') {
        this.modals.create = false
        this.$notify({
          message:
            '<b>Milestone </b> - Successfully Created for ( TRTP-2398 - Tengeh Reservoir Tender Project )',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type
        });
      },
      notifyVueEdit(type = 'edit') {
        this.modals.edit = false
        this.$notify({
          message:
            '<b>Milestone </b> - Successfully Updated for ( TRTP-2398 - Tengeh Reservoir Tender Project )',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type
        });
      }
    }
  };
</script>
<style></style>
